Bug 141284 - UI: Inconsistent Colibre Icon for "Next/Previous Track Change" and "Accept/Reject Track Change and select the next one"
Summary: UI: Inconsistent Colibre Icon for "Next/Previous Track Change" and "Accept/Re...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.2.0 target:7.1.3 target:7.0.6
Keywords:
Depends on:
Blocks: Icon-Request
  Show dependency treegraph
 
Reported: 2021-03-27 10:42 UTC by Rizal Muttaqin
Modified: 2021-03-30 14:35 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Inconsistent icon: one use triangle triangle the other make use triangle (6.01 KB, image/png)
2021-03-27 10:42 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2021-03-27 10:42:18 UTC
Created attachment 170780 [details]
Inconsistent icon: one use triangle triangle the other make use triangle

Colibre use inconsistent icon for for "Next/Previous Track Change" and "Accept Track Change and select the next one". The first use triangle while the later use arrow. 

Step to reproduce:
1. Create a new Writer document
2. Enable Track Changes, do some changes
3. Enable/view Track Change toolbar (View > Toolbars > Track Changes)

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: b24409fce6a4f6f1848a3283258914785d4e1c10
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5
Locale: id-ID (id_ID.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-03-21_13:18:03
Calc: threaded

Version: 7.0.4.2
Build ID: 00(Build:2)
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5
Locale: id-ID (id_ID.UTF-8); UI: id-ID
Ubuntu package version: 1:7.0.4~rc2-0ubuntu0.20.04.2
Calc: threaded
Comment 1 Commit Notification 2021-03-27 13:58:27 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/085e2a876f06f07c20dc932ed6771207c22dac6c

Colibre: tdf#141284 Inconsistent Track Changes icons

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2021-03-27 14:11:43 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/db6cd098ba254a9ecc9d0e0c77ba842dbffb9c66

Colibre: tdf#141284 Inconsistent Track Changes icons

It will be available in 7.1.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-03-27 14:22:59 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/31fd29c4f40d014d8438b4ce2755c568c9b7e9c9

Colibre: tdf#141284 Inconsistent Track Changes icons

It will be available in 7.0.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Rizal Muttaqin 2021-03-30 14:35:17 UTC
Fixed in
Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: a22357213807fa46b903e7d040809cff194c39af
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5
Locale: id-ID (id_ID.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-03-29_12:01:23
Calc: threaded